> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of all market sectors

> Use this endpoint to retrieve a list of all available market sectors that are available on the API.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/market-sectors
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/market-sectors:
    get:
      tags:
        - Market sectors
      summary: Get a list of all market sectors
      description: >
        Use this endpoint to retrieve a list of all available market sectors
        that are available on the API.
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: The Array containing the data for a successful response.
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: >-
                            Returns the market sector ID for retrieving data for
                            each market sector.
                        name:
                          type: string
                          description: Name of the market sector
                        url:
                          type: string
                          description: >-
                            Returns a link to the endpoint for querying a market
                            sector data.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````